<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hssf.record (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../org/apache/poi/hssf/record/package-summary.html" target="classFrame">org.apache.poi.hssf.record</a>
</h1>
<div class="indexContainer">
    <h2 title="Interfaces">Interfaces</h2>
    <ul title="Interfaces">
        <li><a href="BiffHeaderInput.html" title="interface in org.apache.poi.hssf.record" target="classFrame"><span
                class="interfaceName">BiffHeaderInput</span></a></li>
        <li><a href="CellValueRecordInterface.html" title="interface in org.apache.poi.hssf.record" target="classFrame"><span
                class="interfaceName">CellValueRecordInterface</span></a></li>
        <li><a href="Margin.html" title="interface in org.apache.poi.hssf.record" target="classFrame"><span
                class="interfaceName">Margin</span></a></li>
    </ul>
    <h2 title="Classes">Classes</h2>
    <ul title="Classes">
        <li><a href="AbstractEscherHolderRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">AbstractEscherHolderRecord</a>
        </li>
        <li><a href="ArrayRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ArrayRecord</a>
        </li>
        <li><a href="AutoFilterInfoRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">AutoFilterInfoRecord</a>
        </li>
        <li><a href="BackupRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">BackupRecord</a>
        </li>
        <li><a href="BlankRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">BlankRecord</a>
        </li>
        <li><a href="BOFRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">BOFRecord</a></li>
        <li><a href="BookBoolRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">BookBoolRecord</a></li>
        <li><a href="BoolErrRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">BoolErrRecord</a></li>
        <li><a href="BottomMarginRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">BottomMarginRecord</a>
        </li>
        <li><a href="BoundSheetRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">BoundSheetRecord</a>
        </li>
        <li><a href="CalcCountRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">CalcCountRecord</a>
        </li>
        <li><a href="CalcModeRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">CalcModeRecord</a></li>
        <li><a href="CellRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">CellRecord</a>
        </li>
        <li><a href="CFHeader12Record.html" title="class in org.apache.poi.hssf.record" target="classFrame">CFHeader12Record</a>
        </li>
        <li><a href="CFHeaderBase.html" title="class in org.apache.poi.hssf.record" target="classFrame">CFHeaderBase</a>
        </li>
        <li><a href="CFHeaderRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">CFHeaderRecord</a></li>
        <li><a href="CFRule12Record.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">CFRule12Record</a></li>
        <li><a href="CFRuleBase.html" title="class in org.apache.poi.hssf.record" target="classFrame">CFRuleBase</a>
        </li>
        <li><a href="CFRuleBase.ComparisonOperator.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">CFRuleBase.ComparisonOperator</a></li>
        <li><a href="CFRuleRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">CFRuleRecord</a>
        </li>
        <li><a href="CodepageRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">CodepageRecord</a></li>
        <li><a href="ColumnInfoRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ColumnInfoRecord</a>
        </li>
        <li><a href="CommonObjectDataSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">CommonObjectDataSubRecord</a>
        </li>
        <li><a href="ContinueRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">ContinueRecord</a></li>
        <li><a href="CountryRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">CountryRecord</a></li>
        <li><a href="CRNCountRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">CRNCountRecord</a></li>
        <li><a href="CRNRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">CRNRecord</a></li>
        <li><a href="DateWindow1904Record.html" title="class in org.apache.poi.hssf.record" target="classFrame">DateWindow1904Record</a>
        </li>
        <li><a href="DBCellRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DBCellRecord</a>
        </li>
        <li><a href="DBCellRecord.Builder.html" title="class in org.apache.poi.hssf.record" target="classFrame">DBCellRecord.Builder</a>
        </li>
        <li><a href="DConRefRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">DConRefRecord</a></li>
        <li><a href="DefaultColWidthRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DefaultColWidthRecord</a>
        </li>
        <li><a href="DefaultRowHeightRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DefaultRowHeightRecord</a>
        </li>
        <li><a href="DeltaRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DeltaRecord</a>
        </li>
        <li><a href="DimensionsRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DimensionsRecord</a>
        </li>
        <li><a href="DrawingGroupRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DrawingGroupRecord</a>
        </li>
        <li><a href="DrawingRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">DrawingRecord</a></li>
        <li><a href="DrawingRecordForBiffViewer.html" title="class in org.apache.poi.hssf.record" target="classFrame">DrawingRecordForBiffViewer</a>
        </li>
        <li><a href="DrawingSelectionRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DrawingSelectionRecord</a>
        </li>
        <li><a href="DSFRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DSFRecord</a></li>
        <li><a href="DVALRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DVALRecord</a>
        </li>
        <li><a href="DVRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">DVRecord</a></li>
        <li><a href="EmbeddedObjectRefSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">EmbeddedObjectRefSubRecord</a>
        </li>
        <li><a href="EndSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">EndSubRecord</a>
        </li>
        <li><a href="EOFRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">EOFRecord</a></li>
        <li><a href="EscherAggregate.html" title="class in org.apache.poi.hssf.record" target="classFrame">EscherAggregate</a>
        </li>
        <li><a href="ExtendedFormatRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ExtendedFormatRecord</a>
        </li>
        <li><a href="ExternalNameRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ExternalNameRecord</a>
        </li>
        <li><a href="ExternSheetRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ExternSheetRecord</a>
        </li>
        <li><a href="ExtSSTRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ExtSSTRecord</a>
        </li>
        <li><a href="ExtSSTRecord.InfoSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ExtSSTRecord.InfoSubRecord</a>
        </li>
        <li><a href="FeatHdrRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">FeatHdrRecord</a></li>
        <li><a href="FeatRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">FeatRecord</a>
        </li>
        <li><a href="FilePassRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">FilePassRecord</a></li>
        <li><a href="FileSharingRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">FileSharingRecord</a>
        </li>
        <li><a href="FnGroupCountRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">FnGroupCountRecord</a>
        </li>
        <li><a href="FontRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">FontRecord</a>
        </li>
        <li><a href="FooterRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">FooterRecord</a>
        </li>
        <li><a href="FormatRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">FormatRecord</a>
        </li>
        <li><a href="FormulaRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">FormulaRecord</a></li>
        <li><a href="FtCblsSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">FtCblsSubRecord</a>
        </li>
        <li><a href="FtCfSubRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">FtCfSubRecord</a></li>
        <li><a href="FtPioGrbitSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">FtPioGrbitSubRecord</a>
        </li>
        <li><a href="GridsetRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">GridsetRecord</a></li>
        <li><a href="GroupMarkerSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">GroupMarkerSubRecord</a>
        </li>
        <li><a href="GutsRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">GutsRecord</a>
        </li>
        <li><a href="HCenterRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">HCenterRecord</a></li>
        <li><a href="HeaderFooterBase.html" title="class in org.apache.poi.hssf.record" target="classFrame">HeaderFooterBase</a>
        </li>
        <li><a href="HeaderFooterRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">HeaderFooterRecord</a>
        </li>
        <li><a href="HeaderRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">HeaderRecord</a>
        </li>
        <li><a href="HideObjRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">HideObjRecord</a></li>
        <li><a href="HorizontalPageBreakRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">HorizontalPageBreakRecord</a>
        </li>
        <li><a href="HyperlinkRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">HyperlinkRecord</a>
        </li>
        <li><a href="IndexRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">IndexRecord</a>
        </li>
        <li><a href="InterfaceEndRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">InterfaceEndRecord</a>
        </li>
        <li><a href="InterfaceHdrRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">InterfaceHdrRecord</a>
        </li>
        <li><a href="IterationRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">IterationRecord</a>
        </li>
        <li><a href="LabelRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">LabelRecord</a>
        </li>
        <li><a href="LabelSSTRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">LabelSSTRecord</a></li>
        <li><a href="LbsDataSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">LbsDataSubRecord</a>
        </li>
        <li><a href="LbsDataSubRecord.LbsDropData.html" title="class in org.apache.poi.hssf.record" target="classFrame">LbsDataSubRecord.LbsDropData</a>
        </li>
        <li><a href="LeftMarginRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">LeftMarginRecord</a>
        </li>
        <li><a href="MergeCellsRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">MergeCellsRecord</a>
        </li>
        <li><a href="MMSRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">MMSRecord</a></li>
        <li><a href="MulBlankRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">MulBlankRecord</a></li>
        <li><a href="MulRKRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">MulRKRecord</a>
        </li>
        <li><a href="NameCommentRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">NameCommentRecord</a>
        </li>
        <li><a href="NameRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">NameRecord</a>
        </li>
        <li><a href="NoteRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">NoteRecord</a>
        </li>
        <li><a href="NoteStructureSubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">NoteStructureSubRecord</a>
        </li>
        <li><a href="NumberRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">NumberRecord</a>
        </li>
        <li><a href="ObjectProtectRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ObjectProtectRecord</a>
        </li>
        <li><a href="ObjRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ObjRecord</a></li>
        <li><a href="OldCellRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">OldCellRecord</a></li>
        <li><a href="OldFormulaRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">OldFormulaRecord</a>
        </li>
        <li><a href="OldLabelRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">OldLabelRecord</a></li>
        <li><a href="OldSheetRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">OldSheetRecord</a></li>
        <li><a href="OldStringRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">OldStringRecord</a>
        </li>
        <li><a href="PageBreakRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">PageBreakRecord</a>
        </li>
        <li><a href="PageBreakRecord.Break.html" title="class in org.apache.poi.hssf.record" target="classFrame">PageBreakRecord.Break</a>
        </li>
        <li><a href="PaletteRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">PaletteRecord</a></li>
        <li><a href="PaneRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">PaneRecord</a>
        </li>
        <li><a href="PasswordRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">PasswordRecord</a></li>
        <li><a href="PasswordRev4Record.html" title="class in org.apache.poi.hssf.record" target="classFrame">PasswordRev4Record</a>
        </li>
        <li><a href="PrecisionRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">PrecisionRecord</a>
        </li>
        <li><a href="PrintGridlinesRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">PrintGridlinesRecord</a>
        </li>
        <li><a href="PrintHeadersRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">PrintHeadersRecord</a>
        </li>
        <li><a href="PrintSetupRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">PrintSetupRecord</a>
        </li>
        <li><a href="ProtectionRev4Record.html" title="class in org.apache.poi.hssf.record" target="classFrame">ProtectionRev4Record</a>
        </li>
        <li><a href="ProtectRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">ProtectRecord</a></li>
        <li><a href="RecalcIdRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">RecalcIdRecord</a></li>
        <li><a href="Record.html" title="class in org.apache.poi.hssf.record" target="classFrame">Record</a></li>
        <li><a href="RecordBase.html" title="class in org.apache.poi.hssf.record" target="classFrame">RecordBase</a>
        </li>
        <li><a href="RecordFactory.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">RecordFactory</a></li>
        <li><a href="RecordFactoryInputStream.html" title="class in org.apache.poi.hssf.record" target="classFrame">RecordFactoryInputStream</a>
        </li>
        <li><a href="RecordInputStream.html" title="class in org.apache.poi.hssf.record" target="classFrame">RecordInputStream</a>
        </li>
        <li><a href="RefModeRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">RefModeRecord</a></li>
        <li><a href="RefreshAllRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">RefreshAllRecord</a>
        </li>
        <li><a href="RightMarginRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">RightMarginRecord</a>
        </li>
        <li><a href="RKRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">RKRecord</a></li>
        <li><a href="RowRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">RowRecord</a></li>
        <li><a href="SaveRecalcRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">SaveRecalcRecord</a>
        </li>
        <li><a href="ScenarioProtectRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">ScenarioProtectRecord</a>
        </li>
        <li><a href="SCLRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">SCLRecord</a></li>
        <li><a href="SelectionRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">SelectionRecord</a>
        </li>
        <li><a href="SharedFormulaRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">SharedFormulaRecord</a>
        </li>
        <li><a href="SharedValueRecordBase.html" title="class in org.apache.poi.hssf.record" target="classFrame">SharedValueRecordBase</a>
        </li>
        <li><a href="SSTRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">SSTRecord</a></li>
        <li><a href="StandardRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">StandardRecord</a></li>
        <li><a href="StringRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">StringRecord</a>
        </li>
        <li><a href="StyleRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">StyleRecord</a>
        </li>
        <li><a href="SubRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">SubRecord</a></li>
        <li><a href="SupBookRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">SupBookRecord</a></li>
        <li><a href="TabIdRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">TabIdRecord</a>
        </li>
        <li><a href="TableRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">TableRecord</a>
        </li>
        <li><a href="TableStylesRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">TableStylesRecord</a>
        </li>
        <li><a href="TextObjectRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">TextObjectRecord</a>
        </li>
        <li><a href="TopMarginRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">TopMarginRecord</a>
        </li>
        <li><a href="UncalcedRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">UncalcedRecord</a></li>
        <li><a href="UnknownRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">UnknownRecord</a></li>
        <li><a href="UserSViewBegin.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">UserSViewBegin</a></li>
        <li><a href="UserSViewEnd.html" title="class in org.apache.poi.hssf.record" target="classFrame">UserSViewEnd</a>
        </li>
        <li><a href="UseSelFSRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">UseSelFSRecord</a></li>
        <li><a href="VCenterRecord.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">VCenterRecord</a></li>
        <li><a href="VerticalPageBreakRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">VerticalPageBreakRecord</a>
        </li>
        <li><a href="WindowOneRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">WindowOneRecord</a>
        </li>
        <li><a href="WindowProtectRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">WindowProtectRecord</a>
        </li>
        <li><a href="WindowTwoRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">WindowTwoRecord</a>
        </li>
        <li><a href="WriteAccessRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">WriteAccessRecord</a>
        </li>
        <li><a href="WriteProtectRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">WriteProtectRecord</a>
        </li>
        <li><a href="WSBoolRecord.html" title="class in org.apache.poi.hssf.record" target="classFrame">WSBoolRecord</a>
        </li>
    </ul>
    <h2 title="Exceptions">Exceptions</h2>
    <ul title="Exceptions">
        <li><a href="RecordInputStream.LeftoverDataException.html" title="class in org.apache.poi.hssf.record"
               target="classFrame">RecordInputStream.LeftoverDataException</a></li>
    </ul>
</div>
</body>
</html>
